<?php if ( ! defined( 'FW' ) ) {
	die( 'Forbidden' );
}

$holamed_theme_config = holamed_theme_config();
$holamed_sections_list = holamed_get_sections();

if ( !empty( $holamed_theme_config['navbar'] ) AND sizeof( $holamed_theme_config['navbar']) > 1 ) {

	$navbar_custom_assign = array();

	$menus = get_terms('nav_menu');
	if ( !empty($menus) ) {

		$list = array();
		foreach ( $menus as $item ) {

			$list[$item->term_id] = $item->name;
		}

		foreach ( $holamed_theme_config['navbar'] as $key => $val) {

			$navbar_custom_assign['navbar-'.$key.'-assign'] = array(
				'label' => sprintf( esc_html__( 'Navbar %s Assign', 'holamed' ), ucwords($key) ),
				'type'    => 'select',
				'desc' => esc_html__( 'You can assign additional menus for inner navbar.', 'holamed' ),
				'value' => 'default',
				'choices' => array('default' => esc_html__( 'Default', 'holamed' )) + $list,
			);
		}
	}
}

$options = array(
	'general' => array(
		'title'   => esc_html__( 'General', 'holamed' ),
		'type'    => 'tab',
		'options' => array(
			'general-box' => array(
				'title'   => esc_html__( 'General Settings', 'holamed' ),
				'type'    => 'box',
				'options' => array(						
					'page-loader'    => array(
						'type'    => 'multi-picker',
						'picker'       => array(
							'loader' => array(
								'label'   => esc_html__( 'Page Loader', 'holamed' ),
								'type'    => 'select',
								'choices' => array(
									'disabled' => esc_html__( 'Disabled', 'holamed' ),
									'image' => esc_html__( 'Image', 'holamed' ),
									'enabled' => esc_html__( 'Theme Loader', 'holamed' ),
								),
								'value' => 'enabled'
							)
						),						
						'choices' => array(
							'image' => array(
								'loader_img'    => array(
									'label' => esc_html__( 'Page Loader Image', 'holamed' ),
									'type'  => 'upload',
								),
							),
						),
						'value' => 'enabled',
					),	
					'google_api'    => array(
						'label' => esc_html__( 'Google Maps API Key', 'holamed' ),
						'desc'  => esc_html__( 'Required for contacts page, also used in widget', 'holamed' ),
						'type'  => 'text',
					),								
				),
			),
		),
	),
	'logo' => array(
		'title'   => esc_html__( 'Logo', 'holamed' ),
		'type'    => 'tab',
		'options' => array(	
			'logo-box' => array(
				'title'   => esc_html__( 'Logo', 'holamed' ),
				'type'    => 'box',
				'options' => array(			
					'favicon'    => array(
						'html' => esc_html__( 'To change Favicon go to Appearance -> Customize -> Site Identity', 'holamed' ),
						'type'  => 'html',
					),							
					'logo'    => array(
						'label' => esc_html__( 'Black Background', 'holamed' ),
						'type'  => 'upload',
					),
					'logo_white'    => array(
						'label' => esc_html__( 'White Background', 'holamed' ),
						'type'  => 'upload',
					),		
					'logo_2x'    => array(
						'label' => esc_html__( 'Black Background 2x', 'holamed' ),
						'type'  => 'upload',
					),
					'logo_white_2x'    => array(
						'label' => esc_html__( 'White Background 2x', 'holamed' ),
						'type'  => 'upload',
					),		
					'theme-icon-main'    => array(
						'label' => esc_html__( 'Theme Icon', 'holamed' ),
						'desc'  => esc_html__( 'Used for widget headers', 'holamed' ),
						'type'  => 'upload',
					),						
				),
			),
		),
	),	
	'header' => array(
		'title'   => esc_html__( 'Header', 'holamed' ),
		'type'    => 'tab',
		'options' => array(
			'header-box-2' => array(
				'title'   => esc_html__( 'Navbar', 'holamed' ),
				'type'    => 'tab',
				'options' => array(

					'navbar-default'    => array(
						'label' => esc_html__( 'Navbar Default', 'holamed' ),
						'type'    => 'select',
						'value' => $holamed_theme_config['navbar-default'],
						'choices' => $holamed_theme_config['navbar'],
					),	
					'navbar-default-force'    => array(
						'label' => esc_html__( 'Navbar Default Override', 'holamed' ),
						'desc'   => esc_html__( 'By default every page can have unqiue navbar setting. You can override them here.', 'holamed' ),
						'type'    => 'select',
						'choices' => array(
							'disabled' => esc_html__( 'Disabled. Every page uses its own settings', 'holamed' ),
							'force'  => esc_html__( 'Enabled. Override all site pages and use Navbar Default', 'holamed' ),
						),
						'value' => 'disabled',
					),						
					'navbar-affix'    => array(
						'label' => esc_html__( 'Navbar Sticked', 'holamed' ),
						'desc'   => esc_html__( 'May not work with all navbar types', 'holamed' ),
						'type'    => 'select',
						'choices' => array(
							'' => esc_html__( 'Allways Static', 'holamed' ),
							'affix'  => esc_html__( 'Desktop Sticked', 'holamed' ),
							'affix-always'  => esc_html__( 'Always Sticked', 'holamed' ),
						),
						'value' => '',
					),
/*					
					'navbar-affix-scroll'    => array(
						'label' => esc_html__( 'Navbar Sticked Option', 'holamed' ),
						'type'    => 'select',
						'choices' => array(
							'' => esc_html__( 'Allways Visible', 'sana' ),
							'scroll-hide'  => esc_html__( 'Hidden on scroll down', 'holamed' ),
						),
						'value' => '',
					),					
*/					
					'navbar-breakpoint'    => array(
						'label' => esc_html__( 'Navbar Mobile Breakpoint, px', 'holamed' ),
						'desc'   => esc_html__( 'Mobile menu will be displayed in viewports below this value', 'holamed' ),
						'type'    => 'text',
						'value' => '1600',
					),											
					$navbar_custom_assign,
				)
			),
			'header-box-topbar' => array(
				'title'   => esc_html__( 'Topbar', 'holamed' ),
				'type'    => 'tab',
				'options' => array(
					'topbar-info'    => array(
						'label' => ' ',
						'type'    => 'html',
						'html' => esc_html__( 'You can edit topbar in sections menu of dashboard', 'holamed' ),
					),					
					'topbar'    => array(
						'label' => esc_html__( 'Topbar visibility', 'holamed' ),
						'desc'   => esc_html__( 'You can edit topbar layout in Sections menu', 'holamed' ),
						'type'    => 'select',
						'choices' => array(
							'visible'  => esc_html__( 'Always Visible', 'holamed' ),
							'desktop'  => esc_html__( 'Desktop Visible', 'holamed' ),
							'desktop-tablet'  => esc_html__( 'Desktop and Tablet Visible', 'holamed' ),
							'mobile'  => esc_html__( 'Mobile only Visible', 'holamed' ),
							'hidden' => esc_html__( 'Hidden', 'holamed' ),
						),
						'value' => 'hidden',
					),					
					'topbar-section'    => array(
						'label' => esc_html__( 'Topbar section', 'holamed' ),
						'desc' => esc_html__( 'You can edit it in Sections menu of dashboard.', 'holamed' ),
						'type'    => 'select',
						'choices' => array('' => 'None / Hidden') + $holamed_sections_list['top_bar'],						
						'value'	=> '',
					),						
				)
			),			
			'header-box-icons' => array(
				'title'   => esc_html__( 'Icons and Elements', 'holamed' ),
				'type'    => 'tab',
				'options' => array(		
					'icons-info'    => array(
						'label' => ' ',
						'type'    => 'html',
						'html' => esc_html__( 'Icons can be displayed in topbar using shortcode: [ltx-navbar-icons]', 'holamed' ),
					),																
					'navbar-icons' => array(
		                'label' => esc_html__( 'Navbar / Topbar Icons', 'holamed' ),
		                'desc' => esc_html__( 'Depends on theme style', 'holamed' ),
		                'type' => 'addable-box',
		                'value' => array(),
		                'box-options' => array(
							'type'        => array(
								'type'         => 'multi-picker',
								'label'        => false,
								'desc'         => false,
								'picker'       => array(
									'type_radio' => array(
										'label'   => esc_html__( 'Type', 'holamed' ),
										'type'    => 'radio',
										'choices' => array(
											'search' => esc_html__( 'Search', 'holamed' ),
											'basket'  => esc_html__( 'WooCommerce Cart', 'holamed' ),
											'profile'  => esc_html__( 'User Profile', 'holamed' ),
											'social'  => esc_html__( 'Social Icon', 'holamed' ),
										),
									)
								),
								'choices'      => array(
									'basket'  => array(
										'count'    => array(
											'label' => esc_html__( 'Count', 'holamed' ),
											'type'    => 'select',
											'choices' => array(
												'show' => esc_html__( 'Show count label', 'holamed' ),
												'hide'  => esc_html__( 'Hide count label', 'holamed' ),
											),
											'value' => 'show',
										),											
									),
									'profile'  => array(
					                    'header' => array(
					                        'label' => esc_html__( 'Non-logged header', 'holamed' ),
					                        'type' => 'text',
					                        'value' => '',
					                    ),										
									),
									'social'  => array(
					                    'text' => array(
					                        'label' => esc_html__( 'Label', 'holamed' ),
					                        'type' => 'text',
					                    ),
					                    'href' => array(
					                        'label' => esc_html__( 'External Link', 'holamed' ),
					                        'type' => 'text',
					                        'value' => '#',
					                    ),											
									),		
								),
								'show_borders' => false,
							),	  														                	
							'icon-type'        => array(
								'type'         => 'multi-picker',
								'label'        => false,
								'desc'         => false,
								'value'        => array(
									'icon_radio' => 'default',
								),
								'picker'       => array(
									'icon_radio' => array(
										'label'   => esc_html__( 'Icon', 'holamed' ),
										'type'    => 'radio',
										'choices' => array(
											'default'  => esc_html__( 'Default', 'holamed' ),
											'fa' => esc_html__( 'FontAwesome', 'holamed' )
										),
										'desc'    => esc_html__( 'For social icons you need to use FontAwesome in any case.',
											'holamed' ),
									)
								),
								'choices'      => array(
									'default'  => array(
									),
									'fa' => array(
										'icon_v2'  => array(
											'type'  => 'icon-v2',
											'label' => esc_html__( 'Select Icon', 'holamed' ),
										),										
									),
								),
								'show_borders' => false,
							),
							'icon-visible'        => array(
								'label'   => esc_html__( 'Visibility', 'holamed' ),
								'type'    => 'radio',
								'value'    => 'hidden-mob',								
								'choices' => array(
									'hidden-mob'  => esc_html__( 'Hidden on mobile', 'holamed' ),
									'visible-mob' => esc_html__( 'Visible on mobile', 'holamed' )
								),
							),							
							'profile-name'        => array(
								'label'   => esc_html__( 'Profile Name', 'holamed' ),
								'type'    => 'radio',
								'value'    => 'hidden',								
								'choices' => array(
									'hidden'  => esc_html__( 'Hidden', 'holamed' ),
									'visible' => esc_html__( 'Visible', 'holamed' )
								),
							),								
		                ),
                		'template' => '{{- type.type_radio }}',		                
                    ),
					'basket-icon'    => array(
						'label' => esc_html__( 'Basket icon in navbar', 'holamed' ),
						'desc'   => esc_html__( 'As replacement for basket in topbar in mobile view', 'holamed' ),
						'type'    => 'select',
						'choices' => array(
							'disabled' => esc_html__( 'Hidden', 'holamed' ),
							'mobile'  => esc_html__( 'Visible on Mobile', 'holamed' ),
						),
						'value' => 'disabled',
					),	
					'navbar_btn'    => array(
						'label' => esc_html__( 'Navbar Button Header', 'holamed' ),
						'desc'  => esc_html__( 'Displayed after default white navbar', 'holamed' ),
						'type'  => 'text',
					),	
					'navbar_btn_href'    => array(
						'label' => esc_html__( 'Navbar Button Href', 'holamed' ),
						'value'	=> '#',
						'type'  => 'text',
					),	
					'navbar-search'    => array(
						'label' => esc_html__( 'Navbar Search', 'holamed' ),
						'desc'   => esc_html__( 'Display after navbar with bottom border', 'holamed' ),
						'type'    => 'select',
						'choices' => array(
							'disabled' => esc_html__( 'Hidden', 'holamed' ),
							'visible'  => esc_html__( 'Visible on Desktop', 'holamed' ),
						),
						'value' => 'disabled',
					),						
				),
			),
			'header-box-1' => array(
				'title'   => esc_html__( 'Page Header H1', 'holamed' ),
				'type'    => 'tab',
				'options' => array(
					'pageheader-display'    => array(
						'label' => esc_html__( 'Page Header Visibility', 'holamed' ),
						'desc'   => esc_html__( 'Status of Page Header with H1 and Breadcrumbs', 'holamed' ),
						'type'    => 'select',
						'choices' => array(
							'default' => esc_html__( 'Default', 'holamed' ),
							'disabled'  => esc_html__( 'Force Hidden on all Pages', 'holamed' ),
						),
						'value' => 'fixed',
					),					
					'header_bg'    => array(
						'label' => esc_html__( 'Inner Header Background', 'holamed' ),
						'desc'  => esc_html__( 'By default header is gray, you can replace it with background image', 'holamed' ),
						'type'  => 'upload',
					),  				
					'header_fixed'    => array(
						'label' => esc_html__( 'Background parallax', 'holamed' ),
						'desc'   => esc_html__( 'Parallax effect requires large images', 'holamed' ),
						'type'    => 'select',
						'choices' => array(
							'disabled' => esc_html__( 'Disabled', 'holamed' ),
							'fixed'  => esc_html__( 'Enabled', 'holamed' ),
						),
						'value' => 'fixed',
					),
					'header_position'    => array(
						'label' => esc_html__( 'Background images position X Y', 'holamed' ),
						'desc'   => esc_html__( 'For example "50% 50%"', 'holamed' ),
						'type'    => 'text',
						'value' => '50% -50%',
					),										        
					'featured_bg'    => array(
						'label' => esc_html__( 'Featured Images as Background', 'holamed' ),
						'desc'  => esc_html__( 'Use Featured Image for Page as Header Background', 'holamed' ),
						'type'    => 'select',						
						'choices' => array(
							'disabled'  => esc_html__( 'Disabled', 'holamed' ),
							'enabled' => esc_html__( 'Enabled', 'holamed' ),
						),
						'value' => 'disabled',
					),	
					'header_overlay'    => array(
						'label' => esc_html__( 'Inner Header Overlay', 'holamed' ),
						'desc'  => esc_html__( 'Image will be placed over pages header', 'holamed' ),
						'type'  => 'upload',
					),
					'header_position_overlay'    => array(
						'label' => esc_html__( 'Overlay image position X Y', 'holamed' ),
						'desc'   => esc_html__( 'For example "50% 50%"', 'holamed' ),
						'type'    => 'text',
						'value' => '100% -20px',
					),
				),
			),
		),
	),	
	'footer' => array(
		'title'   => esc_html__( 'Footer', 'holamed' ),
		'type'    => 'tab',
		'options' => array(

			'footer-box-1' => array(
				'title'   => esc_html__( 'Widgets', 'holamed' ),
				'type'    => 'tab',
				'options' => array(
					'footer-layout-default'    => array(
						'label' => esc_html__( 'Footer Default Style', 'holamed' ),
						'type'    => 'select',
						'desc'   => esc_html__( 'Footer block before copyright. Edited in Widgets menu.', 'holamed' ),
						'choices' => $holamed_theme_config['footer'],
						'value' => $holamed_theme_config['footer-default'],
					),						
					'footer_widgets'    => array(
						'label' => esc_html__( 'Enable Footer Widgets', 'holamed' ),
						'desc'   => esc_html__( 'Widgets controled in Appearance -> Widgets. Column will be hidden, then no active widgets exists', 'holamed' ),	
						'type'  => 'checkbox',
						'value'	=> 'true',
					),					
					'footer_bg'    => array(
						'label' => esc_html__( 'Footer Background', 'holamed' ),
						'type'  => 'upload',
					),		
					'footer-box-1-1' => array(
						'title'   => esc_html__( 'Desktop widgets visibility', 'holamed' ),
						'type'    => 'box',
						'options' => array(

							'footer_1_hide'    => array(
								'label' => esc_html__( 'Footer 1', 'holamed' ),
								'type'  => 'switch',
								'value'	=> 'show',
								'left-choice' => array(
									'value' => 'hide',
									'label' => esc_html__('Hide', 'holamed'),
								),
								'right-choice' => array(
									'value' => 'show',
									'label' => esc_html__('Show', 'holamed'),
								),						
							),
							'footer_2_hide'    => array(
								'label' => esc_html__( 'Footer 2', 'holamed' ),
								'type'  => 'switch',
								'value'	=> 'show',
								'left-choice' => array(
									'value' => 'hide',
									'label' => esc_html__('Hide', 'holamed'),
								),
								'right-choice' => array(
									'value' => 'show',
									'label' => esc_html__('Show', 'holamed'),
								),	
							),
							'footer_3_hide'    => array(
								'label' => esc_html__( 'Footer 3', 'holamed' ),
								'type'  => 'switch',
								'value'	=> 'show',
								'left-choice' => array(
									'value' => 'hide',
									'label' => esc_html__('Hide', 'holamed'),
								),
								'right-choice' => array(
									'value' => 'show',
									'label' => esc_html__('Show', 'holamed'),
								),	
							),
							'footer_4_hide'    => array(
								'label' => esc_html__( 'Footer 4', 'holamed' ),
								'type'  => 'switch',
								'value'	=> 'show',
								'left-choice' => array(
									'value' => 'hide',
									'label' => esc_html__('Hide', 'holamed'),
								),
								'right-choice' => array(
									'value' => 'show',
									'label' => esc_html__('Show', 'holamed'),
								),	
							),
						)
					),
					'footer-box-1-2' => array(
						'title'   => esc_html__( 'Notebook widgets visibility', 'holamed' ),
						'type'    => 'box',
						'options' => array(

							'footer_1__hide_md'    => array(
								'label' => esc_html__( 'Footer 1', 'holamed' ),
								'type'  => 'switch',
								'value'	=> 'show',
								'left-choice' => array(
									'value' => 'hide',
									'label' => esc_html__('Hide', 'holamed'),
								),
								'right-choice' => array(
									'value' => 'show',
									'label' => esc_html__('Show', 'holamed'),
								),						
							),
							'footer_2_hide_md'    => array(
								'label' => esc_html__( 'Footer 2', 'holamed' ),
								'type'  => 'switch',
								'value'	=> 'show',
								'left-choice' => array(
									'value' => 'hide',
									'label' => esc_html__('Hide', 'holamed'),
								),
								'right-choice' => array(
									'value' => 'show',
									'label' => esc_html__('Show', 'holamed'),
								),	
							),
							'footer_3_hide_md'    => array(
								'label' => esc_html__( 'Footer 3', 'holamed' ),
								'type'  => 'switch',
								'value'	=> 'show',
								'left-choice' => array(
									'value' => 'hide',
									'label' => esc_html__('Hide', 'holamed'),
								),
								'right-choice' => array(
									'value' => 'show',
									'label' => esc_html__('Show', 'holamed'),
								),	
							),
							'footer_4_hide_md'    => array(
								'label' => esc_html__( 'Footer 4', 'holamed' ),
								'type'  => 'switch',
								'value'	=> 'show',
								'left-choice' => array(
									'value' => 'hide',
									'label' => esc_html__('Hide', 'holamed'),
								),
								'right-choice' => array(
									'value' => 'show',
									'label' => esc_html__('Show', 'holamed'),
								),	
							),
						)
					),					
					'footer-box-1-3' => array(
						'title'   => esc_html__( 'Mobile widgets visibility', 'holamed' ),
						'type'    => 'box',
						'options' => array(
							'footer_1_hide_mobile'    => array(
								'label' => esc_html__( 'Footer 1', 'holamed' ),
								'type'  => 'switch',
								'value'	=> 'show',
								'left-choice' => array(
									'value' => 'hide',
									'label' => esc_html__('Hide', 'holamed'),
								),
								'right-choice' => array(
									'value' => 'show',
									'label' => esc_html__('Show', 'holamed'),
								),
							),
							'footer_2_hide_mobile'    => array(
								'label' => esc_html__( 'Footer 2', 'holamed' ),
								'type'  => 'switch',
								'value'	=> 'show',
								'left-choice' => array(
									'value' => 'hide',
									'label' => esc_html__('Hide', 'holamed'),
								),
								'right-choice' => array(
									'value' => 'show',
									'label' => esc_html__('Show', 'holamed'),
								),
							),
							'footer_3_hide_mobile'    => array(
								'label' => esc_html__( 'Footer 3', 'holamed' ),
								'type'  => 'switch',
								'value'	=> 'show',
								'left-choice' => array(
									'value' => 'hide',
									'label' => esc_html__('Hide', 'holamed'),
								),
								'right-choice' => array(
									'value' => 'show',
									'label' => esc_html__('Show', 'holamed'),
								),
							),
							'footer_4_hide_mobile'    => array(
								'label' => esc_html__( 'Footer 4', 'holamed' ),
								'type'  => 'switch',
								'value'	=> 'show',
								'left-choice' => array(
									'value' => 'hide',
									'label' => esc_html__('Hide', 'holamed'),
								),
								'right-choice' => array(
									'value' => 'show',
									'label' => esc_html__('Show', 'holamed'),
								),
							),														
						)
					)
				),
			),
			'footer-box-subscribe' => array(
				'title'   => esc_html__( 'Subscribe and Other', 'holamed' ),
				'type'    => 'tab',
				'options' => array(
					'footer-sections'    => array(
						'html' => esc_html__( 'You can edit all items in Sections menu of dashboard.', 'holamed' ),
						'type'  => 'html',
					),							
					'subscribe-section'    => array(
						'label' => esc_html__( 'Subscribe block', 'holamed' ),
						'desc' => esc_html__( 'Section displayed before widgets on every page. You can hide in on certain page in page settings.', 'holamed' ),
						'type'    => 'select',
						'choices' => array('' => 'None / Hidden') + $holamed_sections_list['subscribe'],						
						'value'	=> '',
					),
					'before-footer-section'    => array(
						'label' => esc_html__( 'Before Footer section', 'holamed' ),
						'desc' => esc_html__( 'Section displayed under all content before subscribe/widgets.', 'holamed' ),
						'type'    => 'select',
						'choices' => array('' => 'None / Hidden') + $holamed_sections_list['before_footer'],
						'value'	=> '',
					),					
				),
			),	
			'footer-box-2' => array(
				'title'   => esc_html__( 'Go Top', 'holamed' ),
				'type'    => 'tab',
				'options' => array(															
					'go_top_visibility'    => array(
						'label' => esc_html__( 'Go Top Visibility', 'holamed' ),
						'type'    => 'select',
						'choices' => array(
							'visible'  => esc_html__( 'Always visible', 'holamed' ),
							'desktop' => esc_html__( 'Desktop Only', 'holamed' ),
							'mobile' => esc_html__( 'Mobile Only', 'holamed' ),
							'hidden' => esc_html__( 'Hidden', 'holamed' ),
						),						
						'value'	=> 'visible',
					),		
					'go_top_pos'    => array(
						'label' => esc_html__( 'Go Top Position', 'holamed' ),
						'type'    => 'select',
						'choices' => array(
							'floating'  => esc_html__( 'Floating', 'holamed' ),
							'static' => esc_html__( 'Static at the footer', 'holamed' ),
						),						
						'value'	=> 'floating',
					),		
					'go_top_img'    => array(
						'label' => esc_html__( 'Go Top Image', 'holamed' ),
						'type'  => 'upload',
					),																	
				),
			),
			'footer-box-3' => array(
				'title'   => esc_html__( 'Copyrights', 'holamed' ),
				'type'    => 'tab',
				'options' => array(																							
					'copyrights'    => array(
						'label' => esc_html__( 'Copyrights', 'holamed' ),
						'type'  => 'wp-editor',
					),									
				),
			),					
		),
	),	
	'layout' => array(
		'title'   => esc_html__( 'Posts Layout', 'holamed' ),
		'type'    => 'tab',
		'options' => array(

			'layout-box-1' => array(
				'title'   => esc_html__( 'Blog Posts', 'holamed' ),
				'type'    => 'tab',
				'options' => array(

					'blog_layout'    => array(
						'label' => esc_html__( 'Blog Layout', 'holamed' ),
						'desc'   => esc_html__( 'Default blog page layout.', 'holamed' ),
						'type'    => 'select',
						'choices' => array(
							'classic'  => esc_html__( 'One Column', 'holamed' ),
							'two-cols' => esc_html__( 'Two Columns', 'holamed' ),
							'three-cols' => esc_html__( 'Three Columns', 'holamed' ),
						),
						'value' => 'classic',
					),				
					'blog_list_sidebar'    => array(
						'label' => esc_html__( 'Blog List Sidebar', 'holamed' ),
						'type'    => 'select',
						'choices' => array(
							'hidden'  => esc_html__( 'Hidden', 'holamed' ),
							'left' => esc_html__( 'Left', 'holamed' ),
							'right' => esc_html__( 'Right', 'holamed' ),
						),
						'value' => 'right',
					),				
					'blog_post_sidebar'    => array(
						'label' => esc_html__( 'Blog Post Sidebar', 'holamed' ),
						'type'    => 'select',
						'choices' => array(
							'hidden'  => esc_html__( 'Hidden', 'holamed' ),
							'left' => esc_html__( 'Left', 'holamed' ),
							'right' => esc_html__( 'Right', 'holamed' ),
						),
						'value' => 'right',
					),																				
					'excerpt_auto'    => array(
						'label' => esc_html__( 'Excerpt Classic Blog Size', 'holamed' ),
						'desc'  => esc_html__( 'Automaticly cuts content for blogs', 'holamed' ),
						'value'	=> 350,
						'type'  => 'short-text',
					),
					'excerpt_masonry_auto'    => array(
						'label' => esc_html__( 'Excerpt Masonry Blog Size', 'holamed' ),
						'desc'  => esc_html__( 'Automaticly cuts content for blogs', 'holamed' ),
						'value'	=> 150,
						'type'  => 'short-text',
					),
					'blog_gallery_autoplay'    => array(
						'label' => esc_html__( 'Gallery post type autoplay, ms', 'holamed' ),
						'desc'  => esc_html__( 'Set 0 to disable autoplay', 'holamed' ),
						'type'  => 'text',
						'value' => '4000',
					),						
				)
			),
			'layout-box-2' => array(
				'title'   => esc_html__( 'Services', 'holamed' ),
				'type'    => 'tab',
				'options' => array(	
					'services_list_layout'    => array(
						'label' => esc_html__( 'Services List Layout', 'holamed' ),
						'type'    => 'select',
						'choices' => array(
							'classic'  => esc_html__( 'One Column', 'holamed' ),
							'two-cols' => esc_html__( 'Two Columns', 'holamed' ),
							'three-cols' => esc_html__( 'Three Columns', 'holamed' ),
						),
						'value' => 'two-cols',
					),						
					'services_list_sidebar'    => array(
						'label' => esc_html__( 'Services List Sidebar', 'holamed' ),
						'type'    => 'select',
						'choices' => array(
							'hidden'  => esc_html__( 'Hidden', 'holamed' ),
							'left' => esc_html__( 'Left', 'holamed' ),
							'right' => esc_html__( 'Right', 'holamed' ),
						),
						'value' => 'hidden',
					),				
					'services_post_sidebar'    => array(
						'label' => esc_html__( 'Services Post Sidebar', 'holamed' ),
						'type'    => 'select',
						'choices' => array(
							'hidden'  => esc_html__( 'Hidden', 'holamed' ),
							'left' => esc_html__( 'Left', 'holamed' ),
							'right' => esc_html__( 'Right', 'holamed' ),
						),
						'value' => 'hidden',
					),					
				)
			),
			'layout-box-3' => array(
				'title'   => esc_html__( 'WooCommerce', 'holamed' ),
				'type'    => 'tab',
				'options' => array(
					'shop_list_sidebar'    => array(
						'label' => esc_html__( 'WooCommerce List Sidebar', 'holamed' ),
						'type'    => 'select',
						'choices' => array(
							'hidden'  => esc_html__( 'Hidden', 'holamed' ),
							'left' => esc_html__( 'Left', 'holamed' ),
							'right' => esc_html__( 'Right', 'holamed' ),
						),
						'value' => 'left',
					),				
					'shop_post_sidebar'    => array(
						'label' => esc_html__( 'WooCommerce Product Sidebar', 'holamed' ),
						'desc'   => esc_html__( 'Blog Post Sidebar', 'holamed' ),
						'type'    => 'select',
						'choices' => array(
							'hidden'  => esc_html__( 'Hidden', 'holamed' ),
							'left' => esc_html__( 'Left', 'holamed' ),
							'right' => esc_html__( 'Right', 'holamed' ),
						),
						'value' => 'hidden',
					),											
					'excerpt_wc_auto'    => array(
						'label' => esc_html__( 'Excerpt WooCommerce Size', 'holamed' ),
						'desc'  => esc_html__( 'Automaticly cuts description for products', 'holamed' ),
						'value'	=> 50,
						'type'  => 'short-text',
					),		
					'wc_zoom'    => array(
						'label' => esc_html__( 'WooCommerce Product Hover Zoom', 'holamed' ),
						'type'    => 'select',
						'desc'   => esc_html__( 'Enables mouse hover zoom in single product page', 'holamed' ),
						'choices' => array(
							'disabled'  => esc_html__( 'Disabled', 'holamed' ),
							'enabled' => esc_html__( 'Enabled', 'holamed' ),
						),
						'value' => 'disabled',
					),
					'wc_columns'    => array(
						'label' => esc_html__( 'Columns number', 'holamed' ),
						'desc'  => esc_html__( 'Overrides default WooCommerce settings', 'holamed' ),
						'type'  => 'text',
						'value' => '3',
					),
					'wc_per_page'    => array(
						'label' => esc_html__( 'Products per Page', 'holamed' ),
						'type'  => 'text',
						'value' => '4',
					),										
				)
			),
			'layout-box-4' => array(
				'title'   => esc_html__( 'Gallery', 'holamed' ),
				'type'    => 'tab',
				'options' => array(													
					'gallery_layout'    => array(
						'label' => esc_html__( 'Default Gallery Layout', 'holamed' ),
						'desc'   => esc_html__( 'Default galley page layout.', 'holamed' ),
						'type'    => 'select',
						'choices' => array(
							'col-2' => esc_html__( 'Two Columns', 'holamed' ),
							'col-3' => esc_html__( 'Three Columns', 'holamed' ),
							'col-4' => esc_html__( 'Four Columns', 'holamed' ),
						),
						'value' => 'col-2',
					),						
				)
			)
		)
	),
	'fonts' => array(
		'title'   => esc_html__( 'Fonts', 'holamed' ),
		'type'    => 'tab',
		'options' => array(

			'fonts-box' => array(
				'title'   => esc_html__( 'Fonts Settings', 'holamed' ),
				'type'    => 'tab',
				'options' => array(
					'font-text'                => array(
						'label' => __( 'Paragraph (text) Font', 'holamed' ),
						'type'  => 'typography-v2',
						'desc'	=>	esc_html__( 'Use https://fonts.google.com/ to find font you need', 'holamed' ),
						'value'      => array(
							'family'    => 'Lora',
							'subset'    => 'latin-ext',
							'variation' => 'regular',
							'size'      => 0,
							'line-height' => 0,
							'letter-spacing' => 0,
							'color'     => '#000'
						),
						'components' => array(
							'family'         => true,
							'size'           => false,
							'line-height'    => false,
							'letter-spacing' => false,
							'color'          => false
						),
					),
					'font-text-weights'    => array(
						'label' => esc_html__( 'Additonal weights', 'holamed' ),
						'desc'  => esc_html__( 'Coma separates weights, for example: "800,900"', 'holamed' ),
						'type'  => 'text',
						'value'  => '400i,700',							
					),											
					'font-headers'                => array(
						'label' => __( 'Headers Font', 'holamed' ),
						'type'  => 'typography-v2',
						'value'      => array(
							'family'    => 'Niramit',
							'subset'    => 'latin-ext',
							'variation' => '700',
							'size'      => 0,
							'line-height' => 0,
							'letter-spacing' => 0,
							'color'     => '#000'
						),
						'components' => array(
							'family'         => true,
							'size'           => false,
							'line-height'    => false,
							'letter-spacing' => false,
							'color'          => false
						),
					),
					'font-headers-weights'    => array(
						'label' => esc_html__( 'Additonal weights', 'holamed' ),
						'desc'  => esc_html__( 'Coma separates weights, for example: "600,800"', 'holamed' ),
						'type'  => 'text',
						'value'  => '',						
					),					
				),
			),
			'fontello-box' => array(
				'title'   => esc_html__( 'Fontello', 'holamed' ),
				'type'    => 'tab',
				'options' => array(
					'fontello-css'    => array(
						'label' => esc_html__( 'Fontello Codes CSS', 'holamed' ),
						'desc'  => esc_html__( 'Upload *-codes.css postfix file here', 'holamed' ),
						'type'  => 'upload',
						'images_only' => false,
					),				
					'fontello-ttf'    => array(
						'label' => esc_html__( 'Fontello TTF', 'holamed' ),
						'type'  => 'upload',
						'images_only' => false,
					),							
					'fontello-eot'    => array(
						'label' => esc_html__( 'Fontello EOT', 'holamed' ),
						'type'  => 'upload',
						'images_only' => false,
					),							
					'fontello-woff'    => array(
						'label' => esc_html__( 'Fontello WOFF', 'holamed' ),
						'type'  => 'upload',
						'images_only' => false,
					),							
					'fontello-woff2'    => array(
						'label' => esc_html__( 'Fontello WOFF2', 'holamed' ),
						'type'  => 'upload',
						'images_only' => false,
					),							
					'fontello-svg'    => array(
						'label' => esc_html__( 'Fontello SVG', 'holamed' ),
						'type'  => 'upload',
						'images_only' => false,
					),												
				),
			),

		),
	),	
	'social' => array(
		'title'   => esc_html__( 'Social', 'holamed' ),
		'type'    => 'tab',
		'options' => array(
			'social-box' => array(
				'title'   => esc_html__( 'Social', 'holamed' ),
				'type'    => 'tab',
				'options' => array(			
					'target-social'    => array(
						'label' => esc_html__( 'Open social links in', 'holamed' ),
						'type'    => 'select',
						'choices' => array(
							'self'  => esc_html__( 'Same window', 'holamed' ),
							'blank' => esc_html__( 'New window', 'holamed' ),
						),
						'value' => 'self',
					),															
		            'social-icons' => array(
		                'label' => esc_html__( 'Social Icons', 'holamed' ),
		                'type' => 'addable-box',
		                'value' => array(),
		                'desc' => esc_html__( 'Visible in inner page header', 'holamed' ),
		                'box-options' => array(
		                    'icon_v2' => array(
		                        'label' => esc_html__( 'Icon', 'holamed' ),
		                        'type'  => 'icon-v2',
		                    ),
		                    'text' => array(
		                        'label' => esc_html__( 'Text', 'holamed' ),
		                        'desc' => esc_html__( 'If needed', 'holamed' ),
		                        'type' => 'text',
		                    ),
		                    'href' => array(
		                        'label' => esc_html__( 'Link', 'holamed' ),
		                        'type' => 'text',
		                        'value' => '#',
		                    ),		                    
		                ),
                		'template' => '{{- text }}',		                
                    ),								
				),
			),
		),
	),	
	'colors' => array(
		'title'   => esc_html__( 'Colors Schemes', 'holamed' ),
		'type'    => 'tab',
		'options' => array(			
			'schemes-box' => array(
				'title'   => esc_html__( 'Additional Color Schemes Settings', 'holamed' ),
				'type'    => 'box',
				'options' => array(
					'advice'    => array(
						'html' => esc_html__( 'You also need to change the global settings in Appearance -> Customize -> Holamed settings', 'holamed' ),
						'type'  => 'html',
					),	
					'items' => array(
						'label' => esc_html__( 'Theme Color Schemes', 'holamed' ),
						'type' => 'addable-box',
						'value' => array(),
						'desc' => esc_html__( 'Can be selected in page settings', 'holamed' ),
						'box-options' => array(
							'slug' => array(
								'label' => esc_html__( 'Scheme ID', 'holamed' ),
								'type' => 'text',
								'desc' => esc_html__( 'Required Field', 'holamed' ),
								'value' => '',
							),							
							'name' => array(
								'label' => esc_html__( 'Scheme Name', 'holamed' ),
								'desc' => esc_html__( 'Required Field', 'holamed' ),
								'type' => 'text',
								'value' => '',
							),
							'logo'    => array(
								'label' => esc_html__( 'Logo Black Background', 'holamed' ),
								'type'  => 'upload',
							),
							'logo_white'    => array(
								'label' => esc_html__( 'Logo White Background', 'holamed' ),
								'type'  => 'upload',
							),		
							'logo_2x'    => array(
								'label' => esc_html__( 'Logo Black Background 2x', 'holamed' ),
								'type'  => 'upload',
							),
							'logo_white_2x'    => array(
								'label' => esc_html__( 'Logo White Background 2x', 'holamed' ),
								'type'  => 'upload',
							),		
							'main-color'  => array(
								'label' => esc_html__( 'Main Color', 'holamed' ),
								'type'  => 'color-picker',
							),
							'second-color' => array(
								'label' => esc_html__( 'Second Color', 'holamed' ),
								'type'  => 'color-picker',
							),
							'gray-color' => array(
								'label' => esc_html__( 'Gray Color', 'holamed' ),
								'type'  => 'color-picker',
							),								
							'black-color' => array(
								'label' => esc_html__( 'Black Color', 'holamed' ),
								'type'  => 'color-picker',
							),	
							'white-color' => array(
								'label' => esc_html__( 'White Color', 'holamed' ),
								'type'  => 'color-picker',
							),								
						),
						'template' => '{{- name }}',
					),
				),
			),
		),
	),	

);

if ( function_exists('ltx_share_buttons_conf') ) {

	$share_links = ltx_share_buttons_conf();

	$share_links_options = array();
	if ( !empty($share_links) ) {

		$share_links_options = array(

			'share_icons_hide' => array(
                'label' => esc_html__( 'Hide all share icons block', 'holamed' ),
                'type'  => 'checkbox',
                'value'	=>	false,
            ),
		);
		foreach ( $share_links as $key => $item ) {

			$state = fw_get_db_settings_option( 'share_icon_' . $key );

			$value = false;
			if ( is_null($state) AND $item['active'] == 1 ) {

				$value = true;
			}

			$share_links_options[] =
			array(
				'share_icon_'.$key => array(
	                'label' => $item['header'],
	                'type'  => 'checkbox',
	                'value'	=>	$value,
	            ),
			);
		}
	}

	$share_links_options['share-add'] = array(

        'label' => esc_html__( 'Custom Share Buttons', 'holamed' ),
        'type' => 'addable-box',
        'value' => array(),
        'desc' => esc_html__( 'You can use {link} and {title} variables to set url. E.g. "http://www.facebook.com/sharer.php?u={link}"', 'holamed' ),
        'box-options' => array(
            'icon' => array(
                'label' => esc_html__( 'Icon', 'holamed' ),
                'type'  => 'icon-v2',
            ),
            'header' => array(
                'label' => esc_html__( 'Header', 'holamed' ),
                'type' => 'text',
            ),
            'link' => array(
                'label' => esc_html__( 'Link', 'holamed' ),
                'type' => 'text',
                'value' => '',
            ),		  
            'color' => array(
                'label' => esc_html__( 'Color', 'holamed' ),
                'type' => 'color-picker',
                'value' => '',
            ),		              
        ),
		'template' => '{{- header }}',		                
    );

	$options['social']['options']['share-box'] = array(
		'title'   => esc_html__( 'Share Buttons', 'holamed' ),
		'type'    => 'tab',
		'options' => $share_links_options,
	);
}
