<?php if ( ! defined( 'FW' ) ) {
	die( 'Forbidden' );
}

$holamed_choices =  array();
$holamed_choices['default'] = esc_html__( 'Default', 'holamed' );

$holamed_color_schemes = fw_get_db_settings_option( 'items' );
if ( !empty($holamed_color_schemes) ) {

	foreach ($holamed_color_schemes as $v) {

		$holamed_choices[$v['slug']] = esc_html( $v['name'] );
	}
}

$holamed_theme_config = holamed_theme_config();
$holamed_sections_list = holamed_get_sections();


$options = array(
	'general' => array(
		'title'   => esc_html__( 'Page settings', 'holamed' ),
		'type'    => 'box',
		'options' => array(		
			'general-box' => array(
				'title'   => __( 'General Settings', 'holamed' ),
				'type'    => 'tab',
				'options' => array(

					'margin-layout'    => array(
						'label' => esc_html__( 'Content Margin', 'holamed' ),
						'type'    => 'select',
						'desc'   => esc_html__( 'Margins control for content', 'holamed' ),
						'choices' => array(
							'default'  => esc_html__( 'Top And Bottom', 'holamed' ),
							'top'  => esc_html__( 'Top Only', 'holamed' ),
							'bottom'  => esc_html__( 'Bottom Only', 'holamed' ),
							'disabled' => esc_html__( 'Margin Removed', 'holamed' ),
							'body-border' => esc_html__( 'Body Border', 'holamed' ),
						),
						'value' => 'default',
					),			
					'topbar-layout'    => array(
						'label' => esc_html__( 'Topbar section', 'holamed' ),
						'desc' => esc_html__( 'You can edit it in Sections menu of dashboard.', 'holamed' ),
						'type'    => 'select',
						'choices' => array('default' => 'Default') + array('hidden' => 'Hidden') + $holamed_sections_list['top_bar'],						
						'value'	=> 'default',
					),						
					'navbar-layout'    => array(
						'label' => esc_html__( 'Navbar', 'holamed' ),
						'type'    => 'select',
						'choices' => $holamed_theme_config['navbar'] + array( 'disabled'  	=> esc_html__( 'Hidden', 'holamed' ) ),
						'value' => $holamed_theme_config['navbar-default'],
					),								
					'header-layout'    => array(
						'label' => esc_html__( 'Page Header', 'holamed' ),
						'type'    => 'select',
						'choices' => array(
							'default'  => esc_html__( 'Default', 'holamed' ),
							'disabled' => esc_html__( 'Hidden', 'holamed' ),
						),
						'value' => 'default',
					),	
					'before-footer-layout'    => array(
						'label' => esc_html__( 'Before Footer', 'holamed' ),
						'desc' => esc_html__( 'You can edit it in Sections menu of dashboard.', 'holamed' ),
						'type'    => 'select',
						'choices' => array('default' => 'Default') + array('' => 'Hidden') + $holamed_sections_list['before_footer'],						
						'value'	=> 'default',
					),						
					'subscribe-layout'    => array(
						'label' => esc_html__( 'Subscribe Block', 'holamed' ),
						'type'    => 'select',
						'desc'   => esc_html__( 'Subscribe block before footer. Can be edited from Sections Menu.', 'holamed' ),
						'choices' => array(
							'default'  => esc_html__( 'Default', 'holamed' ),
							'disabled' => esc_html__( 'Hidden', 'holamed' ),
						),
						'value' => 'default',
					),					
					'footer-layout'    => array(
						'label' => esc_html__( 'Footer', 'holamed' ),
						'type'    => 'select',
						'desc'   => esc_html__( 'Footer block before footer. Edited in Widgets menu.', 'holamed' ),
						'choices' => $holamed_theme_config['footer'] + array( 'disabled'  	=> esc_html__( 'Hidden', 'holamed' ) ),
						'value' => $holamed_theme_config['footer-default'],
					),														
					'color-scheme'    => array(
						'label' => esc_html__( 'Color Scheme', 'holamed' ),
						'type'    => 'select',
						'choices' => $holamed_choices,
						'value' => 'default',
					),								
				),											
			),	
			'cpt' => array(
				'title'   => esc_html__( 'Blog / Gallery', 'holamed' ),
				'type'    => 'tab',
				'options' => array(				
					'sidebar-layout'    => array(
						'label' => esc_html__( 'Blog Sidebar', 'holamed' ),
						'type'    => 'select',
						'choices' => array(
							'hidden' => esc_html__( 'Hidden', 'holamed' ),
							'left'  => esc_html__( 'Sidebar Left', 'holamed' ),
							'right'  => esc_html__( 'Sidebar Right', 'holamed' ),
						),
						'value' => 'hidden',
					),						
					'blog-layout'    => array(
						'label' => esc_html__( 'Blog Layout', 'holamed' ),
						'description'   => esc_html__( 'Used only for blog pages.', 'holamed' ),
						'type'    => 'select',
						'choices' => array(
							'default'  => esc_html__( 'Default', 'holamed' ),
							'classic'  => esc_html__( 'One Column', 'holamed' ),
							'two-cols' => esc_html__( 'Two Columns', 'holamed' ),
							'three-cols' => esc_html__( 'Three Columns', 'holamed' ),
						),
						'value' => 'default',
					),
					'gallery-layout'    => array(
						'label' => esc_html__( 'Gallery Layout', 'holamed' ),
						'description'   => esc_html__( 'Used only for gallery pages.', 'holamed' ),
						'type'    => 'select',
						'choices' => array(
							'default' => esc_html__( 'Default', 'holamed' ),
							'col-2' => esc_html__( 'Two Columns', 'holamed' ),
							'col-3' => esc_html__( 'Three Columns', 'holamed' ),
							'col-4' => esc_html__( 'Four Columns', 'holamed' ),
						),
						'value' => 'default',
					),					
				)
			)	
		)
	),
);

