<?php if ( ! defined( 'ABSPATH' ) ) { die( 'Direct access forbidden.' ); }
/**
 * Including google fonts
 */

$holamed_font_main = fw_get_db_settings_option( 'font-text' );
$holamed_font_headers = fw_get_db_settings_option( 'font-headers' );

$holamed_font_main_weights = fw_get_db_settings_option( 'font-text-weights' );
$holamed_font_headers_weights = fw_get_db_settings_option( 'font-headers-weights' );

$holamed_font_main['variation'] = str_replace('regular', '400', $holamed_font_main['variation']);
$holamed_font_headers['variation'] = str_replace('regular', '400', $holamed_font_headers['variation']);

$holamed_google_fonts = array();
$holamed_google_fonts[$holamed_font_main['family']][$holamed_font_main['variation']] = true;
$holamed_google_fonts[$holamed_font_headers['family']][$holamed_font_headers['variation']] = true;

if ( !empty($holamed_font_main_weights) ) {

	$holamed_items = explode(',', $holamed_font_main_weights);
	foreach ( $holamed_items as $item) $holamed_google_fonts[$holamed_font_main['family']][$item] = true;
}

if ( !empty($holamed_font_headers_weights) ) {

	$holamed_items = explode(',', $holamed_font_headers_weights);
	foreach ( $holamed_items as $item) $holamed_google_fonts[$holamed_font_headers['family']][$item] = true;
}

$holamed_google_subsets[$holamed_font_main['subset']] = true;
$holamed_google_subsets[$holamed_font_headers['subset']] = true;

$css['font_main'] = esc_attr($holamed_font_main['family']);
$css['font_headers'] = esc_attr($holamed_font_headers['family']);

$family = $subset = '';
foreach ( $holamed_google_fonts as $font => $styles ) {

	if ( !empty($family) ) $family .= "%7C";
    $family .= str_replace( ' ', '+', $font ) . ':' . implode( ',', array_keys($styles) );
}

$family .= '%7CShare+Tech+Mono';

foreach ( $holamed_google_subsets as $subset_ => $val ) {

	if ( !empty($subset) ) $subset .= ",";
    if ( !empty($subset_) ) $subset .= $subset_;
}

$query_args = array( 'family' => $family, 'subset' => $subset );
wp_enqueue_style( 'holamed_google_fonts', esc_url( add_query_arg( $query_args, '//fonts.googleapis.com/css' ) ), array(), null );



