<?php
/**
 * Navigation Bar
 */
$navbar_logo = $navlogo_class = $navbar_affix = '';
$navbar_layout = 'white';
$basket_icon = 'disabled';
$navbar_container = 'container';
$navbar_class = 'navbar-collapse collapse';
$navbar_mobile_width = '1600';
$nav_class = '';

if ( function_exists( 'FW' ) ) {

	$navbar_affix = fw_get_db_settings_option( 'navbar-affix' );
	$navbar_breakpoint = fw_get_db_settings_option( 'navbar-breakpoint' );

	if ( !empty($navbar_affix) AND ($navbar_affix == 'affix' OR $navbar_affix == 'affix-always') ) {

		if ($navbar_affix == 'affix-always') {

			$nav_class = ' affix-always';
		}

		$navbar_affix = 'affix';

		$nav_class .= ' '.$navbar_affix_scroll;
	}


	if ( !empty($navbar_breakpoint) ) {

		$navbar_mobile_width = $navbar_breakpoint;
	}

	// Current page layout
	$navbar_layout = holamed_get_navbar_layout('white');

	if ( $navbar_layout == 'white' OR $navbar_layout == 'white-border' ) {

		$navbar_logo = 'white';
	}	

	$basket_icon = fw_get_db_settings_option( 'basket-icon' );
	if ( empty($basket_icon) ) {

		$basket_icon = 'disabled';
	}	
}

if ( $navbar_layout != 'disabled' ):

	holamed_the_topbar_block( $navbar_layout );

?>
<div id="nav-wrapper" class="navbar-layout-<?php echo esc_attr($navbar_layout);?>">
	<nav class="navbar <?php echo esc_attr($nav_class); ?>" data-spy="<?php echo esc_attr($navbar_affix); ?>" data-offset-top="0">
		<div class=" <?php echo esc_attr($navbar_container); ?>">
			<?php
				if ( $navbar_layout == 'desktop-center-absolute' ) {

					holamed_the_navbar_social();
				}
			?>				
			<div class="navbar-logo <?php echo esc_attr($navlogo_class); ?>">	
				<?php
					holamed_the_logo($navbar_logo);
					if ( $navbar_layout == 'transparent' ) {

						holamed_the_logo('white');
					}
				?>
			</div>
			<div id="navbar" class="<?php echo esc_attr( $navbar_class ); ?>" data-mobile-screen-width="<?php echo esc_attr( $navbar_mobile_width ); ?>">
				<div class="toggle-wrap">
					<?php
						holamed_the_logo('white');
					?>						
					<button type="button" class="navbar-toggle collapsed">
						<span class="close"><span class="fa fa-close"></span></span>
					</button>							
					<div class="clearfix"></div>
				</div>
				<?php

					holamed_get_wp_nav_menu();

					holamed_the_navbar_button( $navbar_layout );
				?>
				<div class="mobile-controls">
					<?php
						echo holamed_the_navbar_icons( $navbar_layout, true );
					?>
				</div>				
			</div>
			<div class="navbar-controls">	
				<button type="button" class="navbar-toggle collapsed">
					<span class="icon-bar top-bar"></span>
					<span class="icon-bar middle-bar"></span>
					<span class="icon-bar bottom-bar"></span>
				</button>			
			</div>
		</div>
	</nav>

</div>
<?php

endif;

