<?php
/**
 * The default template for displaying standard post format
 */

$post_class = '';
$featured = get_query_var( 'holamed_featured_disabled' );
if ( function_exists( 'FW' ) AND empty ( $featured ) ) {

	$featured_post = fw_get_db_post_option(get_The_ID(), 'featured');
	if ( !empty($featured_post) ) {

		$post_class = 'ltx-featured-post-none';
	}
}

?>
<article id="post-<?php the_ID(); ?>" <?php post_class( esc_attr($post_class) ); ?>>
	<?php 
		if ( has_post_thumbnail() ) {

			$holamed_photo_class = 'photo';
        	$holamed_layout = get_query_var( 'holamed_layout' );

			$holamed_image_src = wp_get_attachment_image_src( get_post_thumbnail_id( get_The_ID()), 'full' );

			if ($holamed_image_src[2] > $holamed_image_src[1]) $holamed_photo_class .= ' vertical';
			
		    echo '<a href="'.esc_url(get_the_permalink()).'" class="'.esc_attr($holamed_photo_class).'">';

	    	if ( empty($holamed_layout) OR $holamed_layout == 'classic'  ) {

	    		the_post_thumbnail();
	    	}
	    		else
	    	if ( $holamed_layout == 'two-cols'  ) {	    	

	    		the_post_thumbnail();
	    	}
	    		else {


				$sizes_hooks = array( 'holamed-blog', 'holamed-blog-full' );
				$sizes_media = array( '1199px' => 'holamed-blog' );

				holamed_the_img_srcset( get_post_thumbnail_id(), $sizes_hooks, $sizes_media );
    		}

		    echo '</a>';
	
	   		holamed_get_the_cats_archive();
		}


	?>
    <div class="description">
        <a href="<?php esc_url( the_permalink() ); ?>" class="header"><h3><?php the_title(); ?></h3></a>
        <?php 

			$holamed_display_excerpt = get_query_var( 'ltx_display_excerpt' );
        	if ( (!has_post_thumbnail() OR empty($holamed_layout)) OR !empty( $holamed_display_excerpt ) ):

        		if ( !empty( $holamed_display_excerpt ) AND $holamed_display_excerpt == 'visible' ):
        ?>
        <div class="text text-page">
			<?php
				add_filter( 'the_content', 'holamed_excerpt' );
			    if( strpos( $post->post_content, '<!--more-->' ) ) {

			        the_content( esc_html__( 'Read more', 'holamed' ) );
			    }
			    	else  {

			    	the_excerpt();
			    }	

			    remove_filter( 'the_content', 'holamed_excerpt' );
			?>
        </div>            
    	<?php 
    			endif;
    		endif;
    	?>
    	<div class="blog-info">
    	<?php
			holamed_the_post_info();
    	?>
    	</div>
    </div>    
</article>